## ros-dashing-image-transport-plugins 2.1.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(image_transport_plugins)
find_package(ament_cmake REQUIRED)
ament_package()

=== debian/changelog ===
ros-dashing-image-transport-plugins (2.1.0-1bionic) bionic; urgency=high



 -- Michael Carroll <michael@openrobotics.org>  Fri, 23 Aug 2019 05:00:00 -0000

ros-dashing-image-transport-plugins (2.0.0-1bionic) bionic; urgency=high

  * [ros2] image_transport_plugins 'meta'package. (#30 <https://github.com/ros-perception/image_transport_plugins/issues/30>)
  * Update compressed_image_transport to ros2 (#26 <https://github.com/ros-perception/image_transport_plugins/issues/26>)
  * Contributors: Michael Carroll, Jose Luis Rivero

 -- Michael Carroll <michael@openrobotics.org>  Thu, 13 Dec 2018 06:00:00 -0000

ros-dashing-image-transport-plugins (1.9.5-1bionic) bionic; urgency=high



 -- Michael Carroll <michael@openrobotics.org>  Mon, 03 Oct 2016 05:00:00 -0000

ros-dashing-image-transport-plugins (1.9.4-1bionic) bionic; urgency=high



 -- Michael Carroll <michael@openrobotics.org>  Sun, 02 Oct 2016 05:00:00 -0000

ros-dashing-image-transport-plugins (1.9.3-1bionic) bionic; urgency=high



 -- Michael Carroll <michael@openrobotics.org>  Sun, 17 Jan 2016 06:00:00 -0000

ros-dashing-image-transport-plugins (1.9.2-1bionic) bionic; urgency=high



 -- Michael Carroll <michael@openrobotics.org>  Sat, 25 Apr 2015 05:00:00 -0000

ros-dashing-image-transport-plugins (1.9.1-1bionic) bionic; urgency=high



 -- Michael Carroll <michael@openrobotics.org>  Fri, 18 Jul 2014 05:00:00 -0000

ros-dashing-image-transport-plugins (1.9.0-1bionic) bionic; urgency=high



 -- Michael Carroll <michael@openrobotics.org>  Fri, 16 May 2014 05:00:00 -0000

ros-dashing-image-transport-plugins (1.8.21-1bionic) bionic; urgency=high

  * maintainer: david gossow
  * buildtool_depend catkin, added metapackage CMakelists.txt
  * Contributors: David Gossow

 -- Michael Carroll <michael@openrobotics.org>  Thu, 27 Jun 2013 05:00:00 -0000

ros-dashing-image-transport-plugins (1.8.20-1bionic) bionic; urgency=high

  * 1.8.19 -> 1.8.20
  * Contributors: Julius Kammerl

 -- Michael Carroll <michael@openrobotics.org>  Mon, 18 Mar 2013 05:00:00 -0000

ros-dashing-image-transport-plugins (1.8.19-1bionic) bionic; urgency=high

  * 1.8.18 -> 1.8.19
  * removing build dependencies from meta package
  * Contributors: Julius Kammerl

 -- Michael Carroll <michael@openrobotics.org>  Sun, 24 Feb 2013 06:00:00 -0000

ros-dashing-image-transport-plugins (1.8.18-1bionic) bionic; urgency=high

  * 1.8.17 -> 1.8.18
  * Contributors: Julius Kammerl

 -- Michael Carroll <michael@openrobotics.org>  Thu, 07 Feb 2013 23:59:00 -0000

ros-dashing-image-transport-plugins (1.8.17-1bionic) bionic; urgency=high

  * 1.8.16 -> 1.8.17
  * Contributors: Julius Kammerl

 -- Michael Carroll <michael@openrobotics.org>  Fri, 18 Jan 2013 06:00:00 -0000

ros-dashing-image-transport-plugins (1.8.16-1bionic) bionic; urgency=high

  * 1.8.15 -> 1.8.16
  * removing build_tool dependency from meta package
  * Contributors: Julius Kammerl

 -- Michael Carroll <michael@openrobotics.org>  Thu, 17 Jan 2013 06:00:00 -0000

ros-dashing-image-transport-plugins (1.8.15-1bionic) bionic; urgency=high



 -- Michael Carroll <michael@openrobotics.org>  Sat, 29 Dec 2012 02:11:00 -0000

ros-dashing-image-transport-plugins (1.8.14-1bionic) bionic; urgency=high



 -- Michael Carroll <michael@openrobotics.org>  Sat, 29 Dec 2012 02:02:00 -0000

ros-dashing-image-transport-plugins (1.8.13-1bionic) bionic; urgency=high



 -- Michael Carroll <michael@openrobotics.org>  Sat, 29 Dec 2012 01:06:00 -0000

ros-dashing-image-transport-plugins (1.8.12-1bionic) bionic; urgency=high



 -- Michael Carroll <michael@openrobotics.org>  Thu, 20 Dec 2012 01:30:00 -0000

ros-dashing-image-transport-plugins (1.8.11-1bionic) bionic; urgency=high



 -- Michael Carroll <michael@openrobotics.org>  Wed, 19 Dec 2012 23:17:00 -0000

ros-dashing-image-transport-plugins (1.8.10-1bionic) bionic; urgency=high



 -- Michael Carroll <michael@openrobotics.org>  Wed, 19 Dec 2012 23:03:00 -0000

ros-dashing-image-transport-plugins (1.8.9-1bionic) bionic; urgency=high

  * switching to verion 1.8.9
  * Contributors: Julius Kammerl

 -- Michael Carroll <michael@openrobotics.org>  Wed, 19 Dec 2012 06:26:00 -0000

ros-dashing-image-transport-plugins (1.8.8-1bionic) bionic; urgency=high

  * adding build_deb on message_generation & mrun_deb on message_runtime
  * Updated package.xml for new buildtool_depend tag for catkin requirement
  * Contributors: Julius Kammerl, mirzashah

 -- Michael Carroll <michael@openrobotics.org>  Mon, 17 Dec 2012 06:00:00 -0000

ros-dashing-image-transport-plugins (1.8.7-1bionic) bionic; urgency=high

  * adding missing tf build dependency
  * Contributors: Julius Kammerl

 -- Michael Carroll <michael@openrobotics.org>  Mon, 10 Dec 2012 21:29:00 -0000

ros-dashing-image-transport-plugins (1.8.6-1bionic) bionic; urgency=high

  * switching to version 1.8.6
  * Contributors: Julius Kammerl

 -- Michael Carroll <michael@openrobotics.org>  Mon, 10 Dec 2012 21:08:00 -0000

ros-dashing-image-transport-plugins (1.8.5-1bionic) bionic; urgency=high

  * more meta package fixing.. adding build debs
  * fixing meta package
  * fixed meta package
  * switching to 1.8.5
  * Contributors: Julius Kammerl

 -- Michael Carroll <michael@openrobotics.org>  Sun, 09 Dec 2012 06:00:00 -0000

ros-dashing-image-transport-plugins (1.8.4-1bionic) bionic; urgency=high

  * switching to version 1.8.4
  * adding image_transport_plugins meta package
  * Contributors: Julius Kammerl

 -- Michael Carroll <michael@openrobotics.org>  Fri, 30 Nov 2012 06:00:00 -0000

=== debian/control ===
Source: ros-dashing-image-transport-plugins
Section: misc
Priority: extra
Maintainer: Michael Carroll <michael@openrobotics.org>
Build-Depends: debhelper (>= 9.0.0), ros-dashing-ament-cmake, ros-dashing-ros-workspace
Homepage: http://www.ros.org/wiki/image_transport_plugins
Standards-Version: 3.9.2

Package: ros-dashing-image-transport-plugins
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-dashing-compressed-depth-image-transport, ros-dashing-compressed-image-transport, ros-dashing-theora-image-transport, ros-dashing-ros-workspace
Description: A set of plugins for publishing and subscribing to sensor_msgs/Image topics in representations other than raw pixel data.
 For example, for viewing a stream of images off-robot, a video codec will give much lower bandwidth and latency. For low frame rate tranport of high-definition images, you might prefer sending them as JPEG or PNG-compressed form.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/dashing/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/dashing/setup.sh" ]; then . "/opt/ros/dashing/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/dashing" \
		-DAMENT_PREFIX_PATH="/opt/ros/dashing"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/dashing/setup.sh" ]; then . "/opt/ros/dashing/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/dashing/setup.sh" ]; then . "/opt/ros/dashing/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/dashing/setup.sh" ]; then . "/opt/ros/dashing/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-dashing-image-transport-plugins//opt/ros/dashing/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/dashing/setup.sh" ]; then . "/opt/ros/dashing/setup.sh"; fi && \
	dh_auto_install
